%define major   3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

# build deprecated tools
# hciattach hciconfig hcitool hcidump rfcomm sdptool ciptool gatttool
%bcond_without deprecated

Name:           bluez
Summary:        Official Linux Bluetooth protocol stack
Version:        5.78
Release:        %mkrel 1
License:        GPLv2+
Group:          Communications/Bluetooth
URL:            https://www.bluez.org/
Source0:        https://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.xz

# Upstream backport
#
## Ubuntu patches
Patch40:        0001-work-around-Logitech-diNovo-Edge-keyboard-firmware-i.patch
# Non-upstream
Patch51:        0001-obex-Use-GLib-helper-function-to-manipulate-paths.patch
Patch52:        0004-agent-Assert-possible-infinite-loop.patch
Patch102:       CVE-2016-9804-tool-hcidump-Fix-memory-leak-with-malformed-packet.patch

BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  rst2man
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(ell) >= 0.26
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libcap-ng)
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(udev)

Requires(pre):  filesystem >= 2.1.9-18
Requires(post): rpm-helper >= 0.24.8-1
Requires(preun):        rpm-helper >= 0.24.8-1
Recommends:     bluez-firmware

%description
These are the official Bluetooth communication libraries for Linux.

%post
%_post_service bluetooth

%preun
%_preun_service bluetooth

%files
%dir %{_sysconfdir}/bluetooth/
%config(noreplace) %{_sysconfdir}/bluetooth/*.conf
%config %{_sysconfdir}/bluetooth/pin
%{_bindir}/btattach
%{_bindir}/l2ping
%{_bindir}/bluetoothctl
%{_bindir}/bluemoon
%{_bindir}/btmon
%if %{with deprecated}
%{_bindir}/hciattach
%{_bindir}/hciconfig
%{_bindir}/hcitool
%{_bindir}/hcidump
%{_bindir}/rfcomm
%{_bindir}/sdptool
%{_bindir}/ciptool
%{_mandir}/man1/hciattach.1.*
%{_mandir}/man1/hciconfig.1.*
%{_mandir}/man1/hcitool.1.*
%{_mandir}/man1/hcidump.1.*
%{_mandir}/man1/rfcomm.1.*
%{_mandir}/man1/sdptool.1.*
%{_mandir}/man1/ciptool.1.*
%endif
%{_bindir}/hex2hcd
%{_bindir}/l2test
%{_bindir}/mpris-proxy
%{_bindir}/rctest
%{_mandir}/man1/btattach.1.*
%{_mandir}/man1/l2ping.1.*
%{_mandir}/man1/rctest.1.*
%{_mandir}/man1/btmon.1.*
%{_mandir}/man1/bluetoothctl*.1.*
%{_mandir}/man1/btmgmt.1.*
%{_mandir}/man5/org.bluez*.5.*
%{_mandir}/man8/*
%dir %{_libexecdir}/bluetooth/
%{_libexecdir}/bluetooth/bluetoothd
%{_libexecdir}/bluetooth/obexd
%{_localstatedir}/lib/bluetooth
%{_datadir}/dbus-1/system-services/org.bluez.service
%{_datadir}/dbus-1/services/org.bluez.obex.service
%{_datadir}/zsh/site-functions/_bluetoothctl
%{_unitdir}/bluetooth.service
%{_userunitdir}/obex.service
%{_userunitdir}/dbus-org.bluez.obex.service
%{_datadir}/dbus-1/system.d/bluetooth.conf

#--------------------------------------------------------------------

%package        cups
Summary:        CUPS printer backend for Bluetooth printers
Group:          System/Printing
Requires:       cups-filesystem
BuildRequires:  cups-devel

%description    cups
This package contains the CUPS backend for Bluetooth printers.

%files cups
%{_prefix}/lib/cups/backend/bluetooth

#--------------------------------------------------------------------

%package        mesh
Summary:        Bluetooth mesh
Group:          Communications/Bluetooth
BuildRequires:  pkgconfig(json-c)
Requires:       %{name} >= %{version}-%{release}

%description    mesh
This package contains the Services for bluetooth mesh.

%post mesh
%_post_service bluetooth-mesh

%preun mesh
%_preun_service bluetooth-mesh

%files mesh
%{_datadir}/dbus-1/system.d/bluetooth-mesh.conf
%{_bindir}/meshctl
%{_bindir}/mesh-cfgclient
%{_bindir}/mesh-cfgtest
%{_unitdir}/bluetooth-mesh.service
%{_libexecdir}/bluetooth/bluetooth-meshd
%{_datadir}/dbus-1/system-services/org.bluez.mesh.service

#--------------------------------------------------------------------

%package        hid2hci
Summary:        Put HID proxying bluetooth HCI's into HCI mode
Group:          Communications/Bluetooth
Conflicts:      %{name} < 4.99-1
Requires(post): filesystem >= 2.1.9-18

%description    hid2hci
Most all-in-one PC's and bluetooth keyboard / mouse sets which include a
bluetooth dongle, ship with a so called HID proxying bluetooth HCI.
The HID proxying makes the keyboard / mouse show up as regular USB HID
devices (after connecting using the connect button on the device + keyboard),
which makes them work without requiring any manual configuration.

The bluez-hid2hci package contains the hid2hci utility and udev rules to
automatically switch supported Bluetooth devices into regular HCI mode.

Install this package if you want to use the bluetooth function of the HCI
with other bluetooth devices like for example a mobile phone.

Note that after installing this package you will first need to pair your
bluetooth keyboard and mouse with the bluetooth adapter before you can use
them again. Since you cannot use your bluetooth keyboard and mouse until
they are paired, this will require the use of a regular (wired) USB keyboard
and mouse.

%files hid2hci
%{_prefix}/lib/udev/hid2hci
%{_mandir}/man1/hid2hci.1*
%{_mandir}/man7/l2cap.7*
%{_mandir}/man7/rfcomm.7*
%{_udevrulesdir}/97-hid2hci.rules

%post hid2hci
%{_bindir}/udevadm trigger --subsystem-match=usb

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Official Linux Bluetooth protocol stack
Group:          System/Libraries
Requires(pre):  filesystem >= 2.1.9-18

%description -n %{libname}
These are the official Bluetooth communication libraries for Linux.

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n     %{devname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C++
Requires(pre):  filesystem >= 2.1.9-18
Requires:       %{libname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use libraries from %{name}.

%files -n %{devname}
%doc AUTHORS ChangeLog README
%{_bindir}/isotest
%{_mandir}/man1/isotest.1.*
%{_includedir}/bluetooth
%{_libdir}/*.so
%{_libdir}/pkgconfig/bluez.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
    --enable-external-ell \
    --enable-cups \
    --enable-tools \
    --enable-library \
    --enable-sixaxis \
    --enable-hid2hci \
    --enable-nfc \
    --enable-mesh \
    --enable-bap \
    --enable-bass \
    --enable-mcp \
    --enable-micp \
    --enable-csip \
    --enable-vcp \
    %{?with_deprecated:--enable-deprecated} \
    --with-systemdsystemunitdir=%{_unitdir} \
    --with-systemduserunitdir=%{_userunitdir}

%make_build

%install
%make_install

# Remove the cups backend from libdir, and install it in /usr/lib whatever the install
%ifarch x86_64 aarch64
if test -d %{buildroot}%{_libdir}/cups ; then
    install -D -m0755 %{buildroot}%{_libdir}/cups/backend/bluetooth %{buildroot}/usr/lib/cups/backend/bluetooth
    rm -rf %{buildroot}%{_libdir}/cups
fi
%endif

#install more config files
install -d -m 755 %{buildroot}%{_sysconfdir}/bluetooth

echo "1234" > %{buildroot}%{_sysconfdir}/bluetooth/pin
chmod 600 %{buildroot}%{_sysconfdir}/bluetooth/pin

install -m 644 profiles/network/network.conf %{buildroot}%{_sysconfdir}/bluetooth/
install -m 644 profiles/input/input.conf %{buildroot}%{_sysconfdir}/bluetooth/

#copy bluetooth config file and setup auto enable
install -D -p -m0644 src/main.conf %{buildroot}%{_sysconfdir}/bluetooth/main.conf
install -D -p -m0644 mesh/mesh-main.conf %{buildroot}%{_sysconfdir}/bluetooth/mesh-main.conf
sed -i 's/#\[Policy\]$/\[Policy\]/; s/#AutoEnable=false/AutoEnable=true/' %{buildroot}%{_sysconfdir}/bluetooth/main.conf

# remove unpackaged files
find %{buildroot} -name '*.la' -delete

install -d -m0755 %{buildroot}%{_localstatedir}/lib/bluetooth


%changelog
* Tue Sep 10 2024 daviddavid <daviddavid> 5.78-1.mga10
+ Revision: 2094798
- new version: 5.78

* Sun Aug 25 2024 neoclust <neoclust> 5.77-1.mga10
+ Revision: 2091188
- New version 5.77

* Thu May 23 2024 daviddavid <daviddavid> 5.76-1.mga10
+ Revision: 2066849
- new version: 5.76

* Tue Apr 23 2024 daviddavid <daviddavid> 5.75-1.mga10
+ Revision: 2060542
- new version: 5.75

* Thu Mar 14 2024 daviddavid <daviddavid> 5.73-1.mga10
+ Revision: 2049894
- new version: 5.73

* Sun Jan 14 2024 daviddavid <daviddavid> 5.72-1.mga10
+ Revision: 2031174
- new version: 5.72

* Sat Dec 30 2023 daviddavid <daviddavid> 5.71-1.mga10
+ Revision: 2024542
- new version: 5.71
- remove merged upstream patches

* Mon Dec 11 2023 daviddavid <daviddavid> 5.70-2.mga10
+ Revision: 2017105
- backport upstream patch to fix CVE-2023-45866 (mga#32604)
- backport upstream patch to fix some input devices disconnecting right after connecting
- explicitly enable Bluetooth BAP/BASS/CSIP/MCP/MICP/VCP profiles

* Sun Oct 22 2023 daviddavid <daviddavid> 5.70-1.mga10
+ Revision: 2000217
- new version: 5.70

* Sun Sep 17 2023 daviddavid <daviddavid> 5.69-1.mga10
+ Revision: 1987625
- new version: 5.69

* Sat Nov 19 2022 joequant <joequant> 5.66-1.mga9
+ Revision: 1909113
- update to 5.66

* Tue Sep 13 2022 wally <wally> 5.65-2.mga9
+ Revision: 1887591
- own /etc/bluetooth

* Mon Aug 01 2022 luigiwalser <luigiwalser> 5.65-1.mga9
+ Revision: 1874204
- 5.65

* Sat Jul 09 2022 wally <wally> 5.64-2.mga9
+ Revision: 1868092
- enable hid2hci (mga#30617)

* Sat Mar 26 2022 luigiwalser <luigiwalser> 5.64-1.mga9
+ Revision: 1828109
- 5.64
- remove patch 2 (fixed upstream)

* Sat Jan 08 2022 luigiwalser <luigiwalser> 5.63-1.mga9
+ Revision: 1767304
- 5.63

* Thu Oct 21 2021 joequant <joequant> 5.62-1.mga9
+ Revision: 1752409
- update
- update to 5.62

* Tue Aug 24 2021 luigiwalser <luigiwalser> 5.61-1.mga9
+ Revision: 1742506
- 5.61
- remove upstream patch

* Mon Aug 02 2021 ns80 <ns80> 5.60-1.mga9
+ Revision: 1738626
- new version 5.60 and add patch from Fedora for CVE-2021-3658 (mga#29323)

* Sun Jun 20 2021 wally <wally> 5.59-2.mga9
+ Revision: 1731382
- build with system ell
- own /usr/libexec/bluetooth directory

* Sun Jun 20 2021 joequant <joequant> 5.59-1.mga9
+ Revision: 1731371
- update to 5.59

* Thu Jun 10 2021 wally <wally> 5.58-2.mga9
+ Revision: 1730299
- rfkill: Fix reading from rfkill socket
- Use g_memdup2 everywhere to fix build

* Wed Apr 07 2021 daviddavid <daviddavid> 5.58-1.mga9
+ Revision: 1713961
- new version: 5.58

* Tue Mar 02 2021 daviddavid <daviddavid> 5.56-1.mga9
+ Revision: 1695859
- new version: 5.56
- remove merged upstream patch

* Sun Feb 14 2021 tmb <tmb> 5.55-3.mga8
+ Revision: 1675389
- main: Don't warn for unset config option (mga#27314)
+ pterjan <pterjan>
- Fix URL

* Mon Nov 30 2020 luigiwalser <luigiwalser> 5.55-2.mga8
+ Revision: 1650725
- rebuild for json-c

* Sat Sep 19 2020 shlomif <shlomif> 5.55-1.mga8
+ Revision: 1628735
- New version 5.55

* Sun Jul 12 2020 zezinho <zezinho> 5.54-2.mga8
+ Revision: 1605711
- add main.conf file

* Sun Mar 15 2020 daviddavid <daviddavid> 5.54-1.mga8
+ Revision: 1556524
- new version: 5.54

* Wed Feb 19 2020 daviddavid <daviddavid> 5.53-1.mga8
+ Revision: 1544488
- new version: 5.53

* Tue Feb 18 2020 umeabot <umeabot> 5.52-3.mga8
+ Revision: 1542026
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 5.52-2.mga8
+ Revision: 1475935
- rebuild for readline

* Wed Nov 20 2019 daviddavid <daviddavid> 5.52-1.mga8
+ Revision: 1461785
- new version: 5.52
- enable nfc and mesh support
- remove merged upstream patches

* Mon Aug 19 2019 daviddavid <daviddavid> 5.50-6.mga8
+ Revision: 1430311
- add upstream patch to fix build after y2038 changes in glibc

* Wed Mar 27 2019 wally <wally> 5.50-5.mga7
+ Revision: 1380654
- drop unneeded post scriptlets

* Wed Mar 27 2019 daviddavid <daviddavid> 5.50-4.mga7
+ Revision: 1380610
- ensure obexd can be spawned automatically by systemd when user-session is enabled (mga#19140)

* Mon Jan 21 2019 luigiwalser <luigiwalser> 5.50-3.mga7
+ Revision: 1358540
- add patches from opensuse to fix CVE-2016-980[014]

* Fri Sep 21 2018 umeabot <umeabot> 5.50-2.mga7
+ Revision: 1295553
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 shlomif <shlomif> 5.50-1.mga7
+ Revision: 1236795
- New version 5.50

* Tue Apr 10 2018 tv <tv> 5.49-2.mga7
+ Revision: 1216895
- rebuild for new libicalvcal

* Wed Mar 14 2018 shlomif <shlomif> 5.49-1.mga7
+ Revision: 1209444
- New version 5.49

* Sat Jan 27 2018 shlomif <shlomif> 5.48-1.mga7
+ Revision: 1197418
- New version 5.48 (Gentoo)

* Wed Oct 25 2017 shlomif <shlomif> 5.47-1.mga7
+ Revision: 1173621
- New version 5.47

* Thu Sep 14 2017 shlomif <shlomif> 5.45-3.mga7
+ Revision: 1153776
- Add patch for MGA#21698 .

* Tue May 23 2017 luigiwalser <luigiwalser> 5.45-2.mga6
+ Revision: 1104152
- rebuild for core/release

* Tue May 16 2017 luigiwalser <luigiwalser> 5.45-1.mga6
+ Revision: 1102213
- 5.45

* Thu Mar 30 2017 luigiwalser <luigiwalser> 5.44-1.mga6
+ Revision: 1095296
- 5.44

* Fri Nov 04 2016 luigiwalser <luigiwalser> 5.43-1.mga6
+ Revision: 1065335
- 5.43
- remove patch6 (fixed upstream)

* Wed Oct 26 2016 luigiwalser <luigiwalser> 5.42-1.mga6
+ Revision: 1063599
- 5.42
- add patch to fix OBEX connections from fedora

* Tue Oct 04 2016 daviddavid <daviddavid> 5.41-3.mga6
+ Revision: 1058308
- ensure that the old broken dangling link will be removed from users system (mga#17682)
- add missing systemd preun_service

* Thu Aug 11 2016 shlomif <shlomif> 5.41-2.mga6
+ Revision: 1045548
- Bump the rel.
- Remove "bluepin" which was removed from upstream (MGA#19178).
- Some SPEC cleanups.

* Wed Aug 10 2016 luigiwalser <luigiwalser> 5.41-1.mga6
+ Revision: 1045262
- 5.41

* Mon May 09 2016 luigiwalser <luigiwalser> 5.39-1.mga6
+ Revision: 1011326
- 5.39

* Tue Jan 26 2016 luigiwalser <luigiwalser> 5.37-2.mga6
+ Revision: 927857
- rebuild for libical

* Thu Dec 31 2015 luigiwalser <luigiwalser> 5.37-1.mga6
+ Revision: 917375
- 5.37
- remove old obsoletes

* Tue Aug 25 2015 ycantin <ycantin> 5.33-1.mga6
+ Revision: 869406
- new version 5.33

* Sun Jun 21 2015 shlomif <shlomif> 5.31-1.mga6
+ Revision: 837743
- New version 5.31

* Fri Feb 13 2015 luigiwalser <luigiwalser> 5.28-1.mga5
+ Revision: 814854
- 5.28
- remove upstreamed patch
- update files list

* Fri Jan 09 2015 luigiwalser <luigiwalser> 5.27-1.mga5
+ Revision: 809619
- 5.27
- add patch to fix format security error

* Fri Dec 12 2014 luigiwalser <luigiwalser> 5.26-1.mga5
+ Revision: 802806
- 5.26

* Thu Nov 20 2014 luigiwalser <luigiwalser> 5.25-1.mga5
+ Revision: 798015
- 5.25

* Wed Oct 15 2014 umeabot <umeabot> 5.24-2.mga5
+ Revision: 749893
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 5.24-1.mga5
+ Revision: 737544
- 5.24

* Thu Sep 18 2014 umeabot <umeabot> 5.22-3.mga5
+ Revision: 693510
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 5.22-2.mga5
+ Revision: 678184
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Sep 05 2014 luigiwalser <luigiwalser> 5.22-1.mga5
+ Revision: 672340
- 5.22 (fixes needed for kernel 3.17)

* Wed Jul 30 2014 guillomovitch <guillomovitch> 5.21-1.mga5
+ Revision: 658312
- new version 5.21

* Mon Jun 30 2014 guillomovitch <guillomovitch> 5.20-1.mga5
+ Revision: 641654
- new version 5.20

* Sat May 31 2014 guillomovitch <guillomovitch> 5.19-1.mga5
+ Revision: 628081
- new version 5.19

* Sun May 04 2014 shlomif <shlomif> 5.18-1.mga5
+ Revision: 619985
- New version 5.18

* Tue Mar 18 2014 guillomovitch <guillomovitch> 5.16-1.mga5
+ Revision: 605088
- new version 5.16

* Fri Mar 07 2014 guillomovitch <guillomovitch> 5.15-1.mga5
+ Revision: 600874
- new version 5.15

* Thu Feb 06 2014 guillomovitch <guillomovitch> 5.14-1.mga5
+ Revision: 584785
- new version 5.14

* Mon Dec 02 2013 guillomovitch <guillomovitch> 5.11-1.mga4
+ Revision: 554648
- new version 5.11

* Mon Oct 21 2013 umeabot <umeabot> 5.9-2.mga4
+ Revision: 540592
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 5.9-1.mga4
+ Revision: 494050
- obsolete blueman and obex-data-server (not compatible with bluez5)
- 5.9
- add patch3 from fedora

* Tue Sep 03 2013 guillomovitch <guillomovitch> 5.8-1.mga4
+ Revision: 474897
- new version 5.0
- sync patchset with fedora package
- drop obsoletes configuration files
- don't ship test agent

* Thu Jun 13 2013 tv <tv> 4.101-6.mga4
+ Revision: 442868
- requires cups-filesystem instead of cups

* Fri Jan 11 2013 umeabot <umeabot> 4.101-5.mga3
+ Revision: 346925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 cjw <cjw> 4.101-4.mga3
+ Revision: 336270
- patch0504: fix build with automake 1.13

* Wed Oct 03 2012 malo <malo> 4.101-3.mga3
+ Revision: 302586
- update RPM group

* Sat Jul 21 2012 colin <colin> 4.101-2.mga3
+ Revision: 273158
- Update for usrmove

* Fri Jun 29 2012 colin <colin> 4.101-1.mga3
+ Revision: 265009
- New version: 4.101
- Drop sysvinit only udev rule.
- Rebase patches (thanks to Fedora for updated sixaxis patch)
- Fix Build Requires
- Rebuild against new libudev major

* Sat Apr 28 2012 tmb <tmb> 4.99-3.mga2
+ Revision: 233611
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 4.99-2.mga2
+ Revision: 233515
- rebuild for versioned rpm-helper requires

* Sun Apr 08 2012 colin <colin> 4.99-1.mga2
+ Revision: 229743
- Split hid2hci into a subpackage to make it optional
- New version: 4.99

* Tue Mar 06 2012 colin <colin> 4.98-2.mga2
+ Revision: 219435
- Fix C++ build problems in bluetooth.h
- Fix obexd build problems in bluetooth.h
- Split up systemd patches for (hopefully) future upstreaming
- Prevent double logging in systemd journal

* Mon Mar 05 2012 colin <colin> 4.98-1.mga2
+ Revision: 219189
- New version 4.98
- Rediff patches
- Rewrite systemd patch to fixup committed systemd support.
+ dmorgan <dmorgan>
- Remove %%_postun_service macro, this is now handled by filetriggers

* Sat Dec 24 2011 dmorgan <dmorgan> 4.96-5.mga2
+ Revision: 187180
- Fix systemd support

* Sat Dec 24 2011 dmorgan <dmorgan> 4.96-4.mga2
+ Revision: 187168
- Handle systemd services at install now ( mga #3867)

* Sat Dec 17 2011 colin <colin> 4.96-3.mga2
+ Revision: 183014
- Add patches from Fedora for device compatibiliy + systemd integration.
- Move udev rules to /lib/udev/rules.d rather than /etc/
- Fix some minor space+tab inconsistencies in spec
- Do not copy binaries to /sbin but move+link them (should go away when dracut is mandatory)

* Mon Dec 05 2011 fwang <fwang> 4.96-2.mga2
+ Revision: 176816
- new version 4.96
- drop all .la files
- br systemd
- br readline
- new version 4.95
+ colin <colin>
- New version: 4.96 (fixed 100%% CPU on bluetoothd)
- Drop hal BR. No longer needed
+ misc <misc>
- fix systemd patch, taken from Mandriva, made by Funda wang
- new version 4.94
- remove old obsoletes ( likely no longer needed )
- remove old %%clean section
- clean %%defattr, clean old comments
- remove obsoletes dating back to october 2008
- fix requires

* Wed Apr 27 2011 mikala <mikala> 4.92-1.mga1
+ Revision: 92032
- Update tarball to 4.92

* Mon Apr 18 2011 misc <misc> 4.91-1.mga1
+ Revision: 87663
- update to 4.91

* Sat Feb 26 2011 eandry <eandry> 4.89-1.mga1
+ Revision: 60766
- New version 4.89

* Sun Jan 30 2011 dmorgan <dmorgan> 4.87-1.mga1
+ Revision: 44751
- Fix patch 101
- Merge mdv commits :
  634082
  634090
  634124
- Update to version 4.87

* Sat Jan 15 2011 blino <blino> 4.79-2.mga1
+ Revision: 18786
- remove old trigger
+ eandry <eandry>
- imported package bluez


* Tue Nov 23 2010 Eugeni Dodonov <eugeni@mandriva.com> 4.79-1mdv2011.0
+ Revision: 600266
- Updated to 4.79.

* Fri Sep 24 2010 Funda Wang <fwang@mandriva.org> 4.72-1mdv2011.0
+ Revision: 580826
- new version 4.72

* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 4.71-1mdv2011.0
+ Revision: 580748
- new version 4.71

* Sun Jul 18 2010 Emmanuel Andry <eandry@mandriva.org> 4.69-1mdv2011.0
+ Revision: 554841
- New version 4.69

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 4.67-1mdv2011.0
+ Revision: 550676
- New version 4.67

* Thu Apr 29 2010 Emmanuel Andry <eandry@mandriva.org> 4.64-1mdv2010.1
+ Revision: 540970
- New version 4.64

* Fri Mar 26 2010 Emmanuel Andry <eandry@mandriva.org> 4.63-1mdv2010.1
+ Revision: 527760
- New version 4.63

* Wed Mar 10 2010 Emmanuel Andry <eandry@mandriva.org> 4.62-1mdv2010.1
+ Revision: 517486
- New version 4.62

* Fri Feb 19 2010 Emmanuel Andry <eandry@mandriva.org> 4.61-2mdv2010.1
+ Revision: 508471
- BR libcap-ng-devel
- enable capng
- don't package cups backend build wrapper, but the binary (#51320)

* Sat Feb 13 2010 Emmanuel Andry <eandry@mandriva.org> 4.61-1mdv2010.1
+ Revision: 505525
- New version 4.61

* Tue Jan 12 2010 Emmanuel Andry <eandry@mandriva.org> 4.60-1mdv2010.1
+ Revision: 490296
- New version 4.60

* Sat Dec 26 2009 Emmanuel Andry <eandry@mandriva.org> 4.59-1mdv2010.1
+ Revision: 482487
- New version 4.59

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 4.57-1mdv2010.1
+ Revision: 465516
- update to new version 4.57

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 4.56-1mdv2010.1
+ Revision: 462594
- update to new version 4.56

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - no reason to install udev rules manually when Makefile does it
    - enable hid2hci
    - buildrequires udev-devel (for pkg-config)

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 4.54-1mdv2010.0
+ Revision: 449221
- update to new version 4.54

* Tue Sep 22 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 4.53-3mdv2010.0
+ Revision: 447391
- do not install source11 as well - not needed now when source10 was removed
- fix udev rules install - all of them were copied from the same source file

* Sun Sep 20 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 4.53-2mdv2010.0
+ Revision: 445609
- patch100: add {fail_event_on_error} to bluetoothd udev rule to make sure
  it is retried later
- disable source10 (udev_bluetooth_helper). There are no bluetooth services
  anymore; they are started from within udev rules

* Fri Sep 11 2009 Emmanuel Andry <eandry@mandriva.org> 4.53-1mdv2010.0
+ Revision: 438326
- New version 4.53

* Mon Sep 07 2009 Emmanuel Andry <eandry@mandriva.org> 4.52-1mdv2010.0
+ Revision: 432540
- New version 4.52

* Wed Aug 26 2009 Emmanuel Andry <eandry@mandriva.org> 4.50-1mdv2010.0
+ Revision: 421561
- New version 4.50
- drop P3 (not needed)

* Thu Aug 20 2009 Emmanuel Andry <eandry@mandriva.org> 4.48-2mdv2010.0
+ Revision: 418506
- Remove hid2hci calls, they're in udev now

* Wed Aug 19 2009 Emmanuel Andry <eandry@mandriva.org> 4.48-1mdv2010.0
+ Revision: 418001
- New version 4.48
  ?\195- update files list

* Sun Aug 02 2009 Emmanuel Andry <eandry@mandriva.org> 4.47-1mdv2010.0
+ Revision: 407555
- New version 4.47

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 4.46-3mdv2010.0
+ Revision: 402829
- fix init uninstallation

* Sun Jul 26 2009 Emmanuel Andry <eandry@mandriva.org> 4.46-2mdv2010.0
+ Revision: 400341
- remove init from previous version

* Sat Jul 25 2009 Emmanuel Andry <eandry@mandriva.org> 4.46-1mdv2010.0
+ Revision: 399809
- New version 4.46
- don't package initscripts, daemon is now handled with udev
- update files list

* Wed May 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.39-2mdv2010.0
+ Revision: 375382
- Install alsa libs at the good place

* Wed May 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.39-1mdv2010.0
+ Revision: 375351
- Update to version 4.39

* Wed Apr 22 2009 Frederic Crozat <fcrozat@mandriva.com> 4.33-3mdv2009.1
+ Revision: 368734
- Fix incorrect provides / requires which could prevent installation of main package

* Sun Apr 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.33-2mdv2009.1
+ Revision: 364106
- Fix dbus file

  + Thierry Vignaud <tv@mandriva.org>
    - do not make udev rules executable, there's no reason for doing so

* Tue Mar 17 2009 Emmanuel Andry <eandry@mandriva.org> 4.33-1mdv2009.1
+ Revision: 356929
- New version 4.33

* Tue Mar 03 2009 Emmanuel Andry <eandry@mandriva.org> 4.32-1mdv2009.1
+ Revision: 347744
- New version 4.32

* Fri Feb 27 2009 Emmanuel Andry <eandry@mandriva.org> 4.31-1mdv2009.1
+ Revision: 345705
- New version 4.31

* Wed Feb 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.30-4mdv2009.1
+ Revision: 342549
- Bump release
- remove my debugs :/

* Wed Feb 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.30-3mdv2009.1
+ Revision: 342533
- Fix communication of bluez/dbus
- package simple-agent ( discussed on bluez irc channel )

* Mon Feb 16 2009 Frederic Crozat <fcrozat@mandriva.com> 4.30-2mdv2009.1
+ Revision: 340927
- Fix gstreamer plugin install when bootstrapping package
- Fix installation path for gstreamer plugin

* Fri Feb 13 2009 Guillaume Bedot <littletux@mandriva.org> 4.30-1mdv2009.1
+ Revision: 340046
- New version 4.30
- fix mixed-use-of-spaces-and-tabs

* Wed Feb 11 2009 Emmanuel Andry <eandry@mandriva.org> 4.29-1mdv2009.1
+ Revision: 339582
- New version 4.29

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add more config files

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.28-2mdv2009.1
+ Revision: 337217
- fix build with new libtool
- keep bash completion in its own package

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version 4.28

* Mon Jan 19 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.27-1mdv2009.1
+ Revision: 331191
- update to new version 4.27

* Wed Jan 07 2009 Emmanuel Andry <eandry@mandriva.org> 4.25-1mdv2009.1
+ Revision: 326910
- New version 4.25

* Thu Dec 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.22-2mdv2009.1
+ Revision: 312872
- Rebuild for missing package

* Wed Dec 10 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.22-1mdv2009.1
+ Revision: 312464
- update to new version 4.22

* Mon Dec 01 2008 Frederic Crozat <fcrozat@mandriva.com> 4.17-3mdv2009.1
+ Revision: 308865
- Remove patch4, not needed anymore

* Mon Dec 01 2008 Frederic Crozat <fcrozat@mandriva.com> 4.17-2mdv2009.1
+ Revision: 308855
- No longer start passkey-agent when starting X session

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Own /var/lib/bluetooth

* Sun Oct 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.17-1mdv2009.1
+ Revision: 297440
- update to new version 4.17

* Wed Oct 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.16-1mdv2009.1
+ Revision: 296374
- update to new version 4.16

* Sun Oct 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.14-1mdv2009.1
+ Revision: 295366
- Update to 4.14
- Remove wrong -s arg

* Wed Oct 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.13-3mdv2009.1
+ Revision: 293903
- Fix File list
- Fix service files
- Provides bluez-utils as suggested  by Adam

* Wed Oct 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.13-2mdv2009.1
+ Revision: 293832
- More Obsoletes

* Fri Oct 10 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.13-1mdv2009.1
+ Revision: 291621
- clean configure
  Fix file list
  Fix hidd install path
- Update to bluez 4.13
- Update to Bluez 4.11
  Merge Bluez-utils ( + patches )
  Obsoletes Bluez-utils

* Sat Aug 02 2008 Emmanuel Andry <eandry@mandriva.org> 3.36-1mdv2009.0
+ Revision: 260785
- New version

* Thu Jul 03 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.35-1mdv2009.0
+ Revision: 231283
- New version

* Sun Jun 29 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.34-1mdv2009.0
+ Revision: 230082
- New version 3.34

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Funda Wang <fwang@mandriva.org> 3.32-1mdv2009.0
+ Revision: 214627
- update to new version 3.32

* Thu May 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.31-1mdv2009.0
+ Revision: 204512
- New version 3.31

* Thu Mar 06 2008 Frederic Crozat <fcrozat@mandriva.com> 3.28-1mdv2008.1
+ Revision: 180967
- Release 3.28

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 3.27-1mdv2008.1
+ Revision: 174389
- New version

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Mon Feb 11 2008 Frederic Crozat <fcrozat@mandriva.com> 3.26-1mdv2008.1
+ Revision: 165112
-Release 3.26

* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 3.25-1mdv2008.1
+ Revision: 161743
- New version

* Tue Dec 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.24-1mdv2008.1
+ Revision: 137802
- New bugfix release

* Thu Dec 20 2007 Adam Williamson <awilliamson@mandriva.org> 3.23-1mdv2008.1
+ Revision: 135962
- new license policy
- new release 3.23

* Sat Nov 10 2007 Jérôme Soyer <saispo@mandriva.org> 3.22-1mdv2008.1
+ Revision: 107312
- New release

* Wed Oct 10 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.20-1mdv2008.1
+ Revision: 96915
- New version 3.20

* Mon Aug 27 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.15-1mdv2008.0
+ Revision: 71793
- new release: 3.15

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-6mdv2008.0
+ Revision: 63901
- bah

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-5mdv2008.0
+ Revision: 63893
+ rebuild (emptylog)

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-4mdv2008.0
+ Revision: 63839
- bah, fix path headers

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-3mdv2008.0
+ Revision: 63827
- fix location of library

* Wed Aug 15 2007 Funda Wang <fwang@mandriva.org> 3.14-2mdv2008.0
+ Revision: 63671
- fix upgrading

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-1mdv2008.0
+ Revision: 63509
- new release: 3.14

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 3.13-1mdv2008.0
+ Revision: 58035
- drop pkgconfig buildrequires, it's required by rpm-mandriva-setup-build
- 3.13

* Fri May 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.11-1mdv2008.0
+ Revision: 31134
- new version

* Thu May 10 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.10-1mdv2008.0
+ Revision: 26147
- New version 3.10

* Wed May 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.9-2mdv2008.0
+ Revision: 20512
- build requires pkg-config for proper pkgconfig automatic dependencies computation


* Mon Jan 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.9-1mdv2007.0
+ Revision: 114833
- New version 3.9

* Tue Dec 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.8-2mdv2007.1
+ Revision: 102080
-x Rebuild

* Mon Dec 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.8-1mdv2007.1
+ Revision: 102036
- New Version 3.8
- New release 3.7
- bluez-3.4-2mdv2007.0
- Fix rpmlint warnings
- Import bluez

* Sun Aug 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.4-1mdv2007.0
- New release 3.4

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 3.2-1mdv2007.0
- 3.2

* Mon Jun 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.1-1
- New release 3.1

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-2mdv2007.0
- Fix major

* Tue Jun 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.0-1mdv2007.0
- New release 3.0

* Thu Jan 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.25-1mdk
- New release 2.25

* Sat Dec 24 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.24-1mdk
- New release 2.24

* Mon Dec 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.23-1mdk
- New release 2.23

* Tue Nov 01 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.22-1mdk
- New release 2.22

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.21-1mdk
- New release 2.21

* Tue Aug 09 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.19-3mdk
- Revert previous changes

* Tue Aug 09 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.19-2mdk
- Cosmetics

* Tue Aug 09 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.19-1mdk
- New release 2.19

* Tue Jul 05 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.18-1mdk
- New release 2.18

* Wed May 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.17-1mdk
- New release 2.17
- Drop P0 ( Merged upstream )

* Tue May 10 2005 Pascal Terjan <pterjan@mandriva.org> 2.16-2mdk
- include stdio in bluetooth.h (P0)

* Sat Apr 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.16-1mdk
- 2.16
- Drop Patch0 ( Merged upstream )

* Thu Jan 27 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.14-2mdk 
- Patch0 (CVS): add removed calls needed by libbtctl

* Sat Jan 15 2005 Austin Acton <austin@mandrake.org> 2.14-1mdk
- 2.14
- fix summaries
- add automake macro

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10-1mdk
- Release 2.10
- Move to /%%{_lib}, needed for initscript

* Fri Aug 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.9-1mdk
- Release 2.9

* Sun Jul 18 2004 Austin Acton <austin@mandrake.org> 2.8-1mdk
- 2.8
- add pkgconfig file

* Fri May 14 2004 Austin Acton <austin@mandrake.org> 2.7-1mdk
- 2.7
- configure 2.5

* Sun May 02 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-2mdk
- Obsoletes bluez-sdp libs

* Sat May 01 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-1mdk
- 2.6

